Summary: Geometric puzzles and toys for the X Window System.
Name: xpuzzles
Version: 5.5.2
Release: 4
Copyright: MIT
Group: Amusements/Games
Source: ftp://sunsite.unc.edu/pub/Linux/games/strategy/xpuzzles-%{version}.tar.gz
Patch: xpuzzles-5.4.1-install.patch
Patch1: xpuzzles-5.4.1-nobr.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
A set of geometric puzzles and toys for the X Window System.  Xpuzzles
includes a version of Rubik's cube and various other geometric Rubik's
cube style puzzles.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .nobr

%build
make -f xpuzzles.Makefile xmkmf
make -f xpuzzles.Makefile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}

make -f xpuzzles.Makefile DESTDIR=$RPM_BUILD_ROOT install

strip $RPM_BUILD_ROOT/usr/X11R6/bin/* 

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/.directory <<EOF
[Desktop Entry]
Name=xpuzzles
Comment=Various Puzzles
Type=Directory
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xcubes.desktop <<EOF
[Desktop Entry]
Name=xcubes
Type=Application
Exec=xcubes
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xdino.desktop <<EOF
[Desktop Entry]
Name=xdino
Type=Application
Exec=xdino
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xhexagons.desktop <<EOF
[Desktop Entry]
Name=xhexagons
Type=Application
Exec=xhexagons
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xmball.desktop <<EOF
[Desktop Entry]
Name=xmball
Type=Application
Exec=xmball
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xmlink.desktop <<EOF
[Desktop Entry]
Name=xmlink
Type=Application
Exec=xmlink
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xoct.desktop <<EOF
[Desktop Entry]
Name=xoct
Type=Application
Exec=xoct
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xpanex.desktop <<EOF
[Desktop Entry]
Name=xpanex
Type=Application
Exec=xpanex
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xpyraminx.desktop <<EOF
[Desktop Entry]
Name=xpyraminx
Type=Application
Exec=xpyraminx
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xrubik.desktop <<EOF
[Desktop Entry]
Name=xrubik
Type=Application
Exec=xrubik
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xskewb.desktop <<EOF
[Desktop Entry]
Name=xskewb
Type=Application
Exec=xskewb
EOF

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpuzzles/xtriangles.desktop <<EOF
[Desktop Entry]
Name=xtriangles
Type=Application
Exec=xtriangles
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/X11/applnk/Games/xpuzzles/.directory
%config /etc/X11/applnk/Games/xpuzzles/xcubes.desktop
%config /etc/X11/applnk/Games/xpuzzles/xdino.desktop
%config /etc/X11/applnk/Games/xpuzzles/xhexagons.desktop
%config /etc/X11/applnk/Games/xpuzzles/xmball.desktop
%config /etc/X11/applnk/Games/xpuzzles/xmlink.desktop
%config /etc/X11/applnk/Games/xpuzzles/xoct.desktop
%config /etc/X11/applnk/Games/xpuzzles/xpanex.desktop
%config /etc/X11/applnk/Games/xpuzzles/xpyraminx.desktop
%config /etc/X11/applnk/Games/xpuzzles/xrubik.desktop
%config /etc/X11/applnk/Games/xpuzzles/xskewb.desktop
%config /etc/X11/applnk/Games/xpuzzles/xtriangles.desktop

/usr/X11R6/bin/xpanex
/usr/X11R6/man/man1/xpanex.1*
/usr/X11R6/bin/xrubik
/usr/X11R6/man/man1/xrubik.1*
/usr/X11R6/bin/xskewb
/usr/X11R6/man/man1/xskewb.1*
/usr/X11R6/bin/xdino
/usr/X11R6/man/man1/xdino.1*
/usr/X11R6/bin/xpyraminx
/usr/X11R6/man/man1/xpyraminx.1*
/usr/X11R6/bin/xoct
/usr/X11R6/man/man1/xoct.1*
/usr/X11R6/bin/xmball
/usr/X11R6/man/man1/xmball.1*
/usr/X11R6/bin/xcubes
/usr/X11R6/man/man1/xcubes.1*
/usr/X11R6/bin/xtriangles
/usr/X11R6/man/man1/xtriangles.1*
/usr/X11R6/bin/xhexagons
/usr/X11R6/man/man1/xhexagons.1*
/usr/X11R6/bin/xmlink
/usr/X11R6/man/man1/xmlink.1*

%changelog
* Mon Jul 17 2000 Jonathan Blandford
- added a .directory file and moved into its own directory.  
  Someday, we should fix the brokeness that is the .desktop
  files in the sped file.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment

* Sun May 21 2000 Ngo Than <than@redhat.de>
- update to 5.5.2
- clean up specfile

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- gzip man pages, new description
- wmconfig --> desktop

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Mar 18 1999 Michael Maher <mike@redhat.com>
- fixed bugs: 1132, 1617

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
